/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof MainModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'hrcontractid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'hrcontractname',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'hremployeename',
        prop: 'hremployeename',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'contractcode',
        prop: 'contractcode',
        dataType: 'TEXT',
      },
      {
        name: 'contractmode',
        prop: 'contractmode',
        dataType: 'SSCODELIST',
      },
      {
        name: 'contracttype',
        prop: 'contracttype',
        dataType: 'SSCODELIST',
      },
      {
        name: 'begintime',
        prop: 'begintime',
        dataType: 'DATE',
      },
      {
        name: 'endtime',
        prop: 'endtime',
        dataType: 'DATE',
      },
      {
        name: 'mgrorganizationname',
        prop: 'mgrorganizationname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'signorganizationname',
        prop: 'signorganizationname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'contractsigntype',
        prop: 'contractsigntype',
        dataType: 'SSCODELIST',
      },
      {
        name: 'contractstate',
        prop: 'contractstate',
        dataType: 'SSCODELIST',
      },
      {
        name: 'probationtime',
        prop: 'probationtime',
        dataType: 'DATE',
      },
      {
        name: 'attachment',
        prop: 'attachment',
        dataType: 'TEXT',
      },
      {
        name: 'memo',
        prop: 'memo',
        dataType: 'LONGTEXT_1000',
      },
      {
        name: 'signorganizationid',
        prop: 'signorganizationid',
        dataType: 'PICKUP',
      },
      {
        name: 'hremployeeid',
        prop: 'hremployeeid',
        dataType: 'PICKUP',
      },
      {
        name: 'mgrorganizationid',
        prop: 'mgrorganizationid',
        dataType: 'PICKUP',
      },
      {
        name: 'hrcontractid',
        prop: 'hrcontractid',
        dataType: 'GUID',
      },
      {
        name: 'hrcontract',
        prop: 'hrcontractid',
        dataType: 'FONTKEY',
      },
    ]
  }

}